geos::geomgraph::index::SegmentIntersector Class Reference

Computes the intersection of line segments, and adds the intersection to the edges containing the segments. More...

`#include <SegmentIntersector.h>`

## Public Member Functions

| SegmentIntersector (algorithm::LineIntersector *newLi, bool newIncludeProper, bool newRecordIsolated)
void | setBoundaryNodes (std::vector< Node * > *bdyNodes0, std::vector< Node * > *bdyNodes1)
| Parameters are externally owned. Make sure they live for the whole lifetime of this object.
geom::Coordinate & | getProperIntersectionPoint ()
bool | hasIntersection () const
bool | hasProperIntersection () const
bool | hasProperInteriorIntersection () const
void | addIntersections (Edge *e0, std::size_t segIndex0, Edge *e1, std::size_t segIndex1)
bool | getIsDone () const

## Static Public Member Functions

static bool | isAdjacentSegments (std::size_t i1, size_t i2)

## Public Attributes

int | numTests

## Detailed Description

Computes the intersection of line segments, and adds the intersection to the edges containing the segments.

## Member Function Documentation

## hasProperInteriorIntersection()

bool geos::geomgraph::index::SegmentIntersector::hasProperInteriorIntersection | ( |  | ) | const

inline

A proper interior intersection is a proper intersection which is not contained in the set of boundary nodes set for this SegmentIntersector.

## hasProperIntersection()

bool geos::geomgraph::index::SegmentIntersector::hasProperIntersection | ( |  | ) | const

inline

A proper intersection is an intersection which is interior to at least two line segments. Note that a proper intersection is not necessarily in the interior of the entire Geometry, since another edge may have an endpoint equal to the intersection, which according to SFS semantics can result in the point being on the Boundary of the Geometry.

The documentation for this class was generated from the following file:

- geomgraph/index/SegmentIntersector.h